
package de.ivu.elect.presentation.entschaedigung.menu;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.entschaedigung.EntschaedigungsartSearchView;

public class EntschaedigungsartSearchMenuItemEntry extends AbstractEntschaedigungsartMenuItemEntry {

  private static final long serialVersionUID = 1L;

  public EntschaedigungsartSearchMenuItemEntry() {
    super();
  }

  @Override
  protected UseCasePermission getUseCasePermission() {
    return UseCasePermission.ENTSCHAEDIGUNGSART_SEARCH;
  }

  @Override
  public String getTargetViewId() {
    return EntschaedigungsartSearchView.VIEW_ID;
  }

  @Override
  protected String getLabel() {
    return getMessage(getLabelKey(), getMeta().getMehrzahlMessage());
  }

  @Override
  public String getLabelKey() {
    return "entity.search.menu.item.label";
  }

  @Override
  public String getIcon() {
    return getIcons().getIconSearch();
  }
}
